

using APT.BaseData.Domain.Entities.FM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;
using APT.BaseData.Domain.Enums;
using APT.MS.Domain.Enums;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 风险评价计划明细表
    /// </summary>
    [Description("风险评价计划明细表")]
    public class T_HM_EVALUATION_DETAIL : MesEntityBase
    {

        /// <summary>
        /// 风险评价计划ID
        /// </summary>
        [Description("风险评价计划")]
        [DataFieldForeignKey("Nav_EvaluationPlan", "Nav_Details")]
        public Guid PLAN_ID { get; set; }
        /// <summary>
        /// 导航属性：风险评价计划表
        /// </summary>
        [Description("导航属性：风险评价计划表")]
        public T_HM_EVALUATION_PLAN Nav_EvaluationPlan { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        [FormFieldEdit]

        public DateTime? START_TIME { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [Description("结束时间")]
        [FormFieldEdit]

        public DateTime? END_TIME { get; set; }

        /// <summary>
        /// 层级 3公司级 0部门级 1车间级 2班组级
        /// </summary>
        [Description("层级")]
        [EnumName("FMDepartmentType")]
        [FormFieldEdit]
		[DataFieldLength(50)]
        public string LEVEL { get; set; }
        /// <summary>
        /// 导航属性：区域
        /// </summary>
        [Description("导航属性：区域")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATION_DETAIL_AREA> Nav_Areas { get; set; }
        /// <summary>
        /// 负责人
        /// </summary>
        [Description("负责人")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_ChargeUser")]
        public Guid? CHARGE_USER_ID { get; set; }
        /// <summary>
        /// 导航属性：负责人
        /// </summary>
        [Description("导航属性：负责人")]
        public T_FM_USER Nav_ChargeUser { get; set; }
        /// <summary>
        /// 触发周期
        /// </summary>
        [Description("触发周期")]
        [EnumName("HMCycleEnum")]
        [FormFieldEdit]
        public HMCycleEnum CYCLE { get; set; }
        /// <summary>
        /// 周期内执行次数
        /// </summary>
        [Description("周期内执行次数")]
        [FormFieldEdit]
        public int FREQUENCY { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        [DataFieldLength(200)]
        [FormFieldEdit]

        public string REMARK { get; set; }
        /// <summary>
        /// 类别
        /// </summary>
        [EnumName("HMRiskTypeEnmu")]
        [Description("类别")]
        [FormFieldEdit]
        public HMRiskTypeEnmu RISK_TYPE { get; set; }
        /// <summary>
        /// 导航属性：辨识对象
        /// </summary>
        [Description("导航属性：辨识对象")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATION_DETAIL_IDENTIFYING> Nav_Identifyings { get; set; }
        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]
        public int DEAL_STATUS { get; set; }
        [Description("序号")]
        public int ROW_NO { get; set; }
    }
}

